2019-12-07 16:52 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002371FSSCPgameplaypublic2011-04-04 10:47
ReporterFSF 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.13 
Summary0002371: Bugged up hotkeys list
DescriptionThis is a very strange bug having to do with the 'white bracket' hotkeys list. If a wing of hostile fighters jumps in after the mission begins, those ships will not appear with white brackets when the proper hotkey is pressed, even if they were assigned to be in the list for that hotkey.
Additional InformationIn the mission attached, you should be able to target both hostile wings in white brackets by pressing F12, but you are only able to target designated fighters from the first wing, the wing that was in the mission area when it began.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012645

FSF (reporter)

hud_target_hotkey_select(), line 864 in hudtarget.cpp. visible_count (the number of elements in plist) is computed as 1, while it should be 2 (for the mission attached). Now the setup of plist is too complicated for me noob, could anyone check if there's one or two ships in there?
If two, then the bug is probably in the counter on lines 876-880. If one, I'll try and track it down further.

New mission attached [Test_hotkey2] uses F11 as targeting hotkey, 'cause F12 triggers a breakpoint.

~0012649

FSF (reporter)

Tracked it, found it, fixed it, tested. Patch attached, I hope I didn't miss out on any errors while testing.

~0012650

The_E (administrator)

Committed to trunk in rev 7104
+Notes

-Issue History
Date Modified Username Field Change
2011-01-06 04:04 FSF New Issue
2011-01-06 04:04 FSF File Added: Test_hotkey.fs2
2011-04-03 13:37 FSF File Added: Test_hotkey2.fs2
2011-04-03 13:45 FSF Note Added: 0012645
2011-04-04 09:42 FSF Note Added: 0012649
2011-04-04 09:42 FSF File Added: hotkey_fix_FSF.zip
2011-04-04 10:47 The_E Note Added: 0012650
2011-04-04 10:47 The_E Status new => resolved
2011-04-04 10:47 The_E Fixed in Version => 3.6.13
2011-04-04 10:47 The_E Resolution open => fixed
2011-04-04 10:47 The_E Assigned To => The_E
+Issue History